# history.list

Read your own past and current timesheet history, including imported weeks and their agreement-based rate estimates.

`GET | POST /api/v1/contractor/history.list`

Permissions: `contractor:read` · Roles: contractor

MCP tool: `contractor_history_list`

## Fields

| Field | Type | Required | Notes |
| --- | --- | --- | --- |
| `limit` | integer |  | How many results to return at most. 1 to 100. Default `30`. |
| `offset` | integer |  | How many results to skip, for the next page of a list. 0 to 100000. Default `0`. |

## Example request

```bash
curl https://app.getoatmilk.com/api/v1/contractor/history.list \
  -H "Authorization: Bearer $OATMILK_OAUTH_TOKEN" \
  -H "X-Accounting-Organization: $OATMILK_ORGANIZATION_ID"
```

Reference page: https://app.getoatmilk.com/docs/api/contractor/history.list
